@mixin h1($underlined: false, $underlinecolor: $c-black) {
  @include font($font-fam, $font-semibold, 75px, 1.2);

  margin-bottom: rhythm(1.1);

  &:first-letter {
    margin-left: -0.05em;
  }

  // 901 - 1200
  @include md-only {
    margin-bottom: rhythm(0.78);
    font-size: 50px;
    line-height: 1.125;
  }

  // < 900
  @include sm-max {
    margin-bottom: rhythm(0.5);
    font-size: 35px;
    line-height: 1.285;
  }
}

@mixin h2($underlined: false, $underlinecolor: $c-black) {
  @include font($font-fam, $font-bold, 55px, 0.875);

  margin-bottom: rhythm(0.6);

  &:first-letter {
    margin-left: -0.05em;
  }

  // 901 - 1200
  @include md-only {
    margin-bottom: rhythm(0.35);
    font-size: 40px;
    line-height: 1.167;
  }

  // < 900
  @include sm-max {
    margin-bottom: rhythm(0.35);
    font-size: 30px;
    line-height: 1.25;
  }
}

@mixin h3($underlined: false, $underlinecolor: $c-black) {
  @include font($font-fam, $font-bold, 28px, 1.285);

  margin-bottom: rhythm(0.3);

  &:first-letter {
    margin-left: -0.05em;
  }

  // 901 - 1200
  @include md-only {
    margin-bottom: rhythm(0.24);
    font-size: 24px;
    line-height: 1.25;
  }

  // < 900
  @include sm-max {
    margin-bottom: rhythm(0.1);
    font-size: 24px;
    line-height: 1.25;
  }
}

@mixin h4($underlined: false, $underlinecolor: $c-black) {
  @include font($font-fam, $font-medium, 25px, 1.4);

  margin-bottom: rhythm(0.05);

  &:first-letter {
    margin-left: -0.05em;
  }

  // 901 - 1200
  @include md-only {
    margin-bottom: 0;
    font-size: 20px;
    line-height: 1.75;
  }

  // < 900
  @include sm-max {
    margin-bottom: 0;
    font-size: 20px;
    line-height: 1.75;
  }
}
